<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_operation_finals', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_operation_id')->constrained()->onDelete('cascade');
            $table->float('designation_tech_skills');
            $table->float('power_influence');
            $table->float('interpersonal_relationship_experience');
            $table->float('weightage');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_operation_finals');
    }
};
